/*	Project:        Automat
	File:           Automat.c
	Version:        1.0
	Date:           070602
	Description:	
	System:         P=ATMEGA162  F_CPU=3686400 MHz 
	
*/	

#include <avr/io.h>
#include <inttypes.h>
#include <avr/pgmspace.h>
#define F_CPU 3686400UL 
#include <util/delay.h>
#include <avr/interrupt.h>
#define BAUD        9600UL
#define UBRR_BAUD   ((F_CPU/(16UL*BAUD))-1)
#include "lcd.h"
extern void temperatur();
extern void tasten_manager ();


void init_io()
{
	//LED- Ausgang
	DDRA |=((1<<4)|(1<<5));
	//Taster- Eingang
	DDRE &=~((1<<6)|(1<<7));
	//TC2, prescaler 1024
	//TCCR2|=(1<<CS20)|(1<<CS21)|(1<<CS22);
	TCCR2|=(1<<CS20);
	//PCINT 0 aktivieren
	GICR|=(1<<PCIE0);
	//6 und 7 aktivieren
	PCMSK0|=(0b11000000);
	//TC2 Overflow interrupt aktivieren
	TIMSK|=(1<<TOIE2);
	sei();
	/*lcd_init(LCD_DISP_ON);
	lcd_clrscr();
	lcd_puts("Ist :");
	lcd_puts("Soll:");*/
}

int main ()
{


init_io();
while (1) 
{
temperatur();
tasten_manager();				


}
}









